Attribute VB_Name = "modAccess"

Public Sub WriteFile()
On Error GoTo ErrHandle
    Dim db As Database, tb As TableDef, fd As Field, rs As Recordset
    Dim PathName As String, I As Integer, J As Integer
    PathName = App.Path & "\ftpconfig.mdb"
    If dir(PathName) = "" Then
        Set db = DAO.CreateDatabase(PathName, dbLangChineseSimplified & ";pwd=" & ftp1.AccessPWD)
            Set tb = db.CreateTableDef("Server")
                Set fd = tb.CreateField("ID", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("ServerName", dbText, 255)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
                Set fd = tb.CreateField("State", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("Port", dbLong)
                tb.Fields.Append fd
                Set fd = tb.CreateField("UserCount", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("MaxUserOnline", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("WelcomeText", dbText, 255)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
                Set fd = tb.CreateField("GoodByeText", dbText, 255)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
            db.TableDefs.Append tb
            Set tb = db.CreateTableDef("UserList")
                Set fd = tb.CreateField("ID", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("UserName", dbText, 255)
                tb.Fields.Append fd
                Set fd = tb.CreateField("PassWord", dbText, 255)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
                Set fd = tb.CreateField("DefDir", dbMemo)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
                Set fd = tb.CreateField("Account", dbByte)
                tb.Fields.Append fd
                Set fd = tb.CreateField("Enabled", dbBoolean)
                tb.Fields.Append fd
                Set fd = tb.CreateField("LoginLines", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("ServerID", dbInteger)
                tb.Fields.Append fd
                Set fd = tb.CreateField("UserGroup", dbText, 255)
                fd.AllowZeroLength = True
                tb.Fields.Append fd
            db.TableDefs.Append tb
        db.Close
    End If
    Set db = DAO.OpenDatabase(PathName, False, False, ";pwd=" & ftp1.AccessPWD)
    Set rs = db.OpenRecordset("Server")
        Do While Not rs.EOF
            rs.Delete
            rs.MoveNext
        Loop
        For I = 0 To MaxServer
            If Server(I).InUsed Then
                rs.AddNew
                rs.Fields("ID") = I
                rs.Fields("ServerName") = Server(I).ServerName
                rs.Fields("GoodByeText") = Server(I).GoodByeText
                rs.Fields("WelcomeText") = Server(I).WelcomeText
                rs.Fields("MaxUserOnline") = Server(I).MaxUserOnline
                rs.Fields("Port") = Server(I).Port
                rs.Fields("UserCount") = Server(I).UserCount
                rs.Fields("State") = Server(I).State
                rs.Update
            End If
        Next
    rs.Close
    Set rs = db.OpenRecordset("UserList")
        Do While Not rs.EOF
            rs.Delete
            rs.MoveNext
        Loop
        For I = 0 To MaxUserList
            If UserList(I).InUsed Then
                rs.AddNew
                rs.Fields("ID") = I
                rs.Fields("UserName") = UserList(I).UserName
                rs.Fields("PassWord") = UserList(I).PassWord
                rs.Fields("DefDir") = UserList(I).DefDir
                rs.Fields("Account") = UserList(I).Account
                rs.Fields("Enabled") = UserList(I).Enabled
                rs.Fields("LoginLines") = UserList(I).LoginLines
                rs.Fields("ServerID") = UserList(I).ServerID
                rs.Fields("UserGroup") = UserList(I).UserGroup
                rs.Update
            End If
        Next
    rs.Close
    db.Close
    Exit Sub
ErrHandle:
    MsgBox "дݳ" & Err.Description
End Sub

Public Sub ReadFile()
On Error GoTo ErrHandle
    Dim db As Database, tb As TableDef, fd As Field, rs As Recordset
    Dim PathName As String, I As Integer, J As Integer
    PathName = App.Path & "\ftpconfig.mdb"
    If dir(PathName) = "" Then
        'do something
    Else
        Set db = DAO.OpenDatabase(PathName, False, True, ";pwd=" & ftp1.AccessPWD)
        Set rs = db.OpenRecordset("Server")
        Do While Not rs.EOF
            I = rs("ID")
            Server(I).InUsed = True
            Server(I).GoodByeText = rs("GoodByeText")
            Server(I).ServerName = rs("ServerName")
            Server(I).MaxUserOnline = rs("MaxUserOnline")
            Server(I).WelcomeText = rs("WelcomeText")
            Server(I).Port = rs("Port")
            Server(I).UserCount = rs("UserCount")
            Server(I).State = rs("State")
            rs.MoveNext
        Loop
        rs.Close
        Set rs = db.OpenRecordset("UserList")
        Do While Not rs.EOF
            I = rs("ID")
            UserList(I).InUsed = True
            UserList(I).UserName = rs("UserName")
            UserList(I).PassWord = rs("PassWord")
            UserList(I).Account = rs("Account")
            UserList(I).Enabled = rs("Enabled")
            UserList(I).LoginLines = rs("LoginLines")
            UserList(I).ServerID = rs("ServerID")
            UserList(I).UserGroup = rs("UserGroup")
            UserList(I).DefDir = rs("DefDir")
            rs.MoveNext
        Loop
        rs.Close
        db.Close
    End If
    Exit Sub
ErrHandle:
    MsgBox "ݳ" & Err.Description
    End
End Sub


