Attribute VB_Name = "modGlobal"
'==========================================
'   FTP Sever Global Varibles
'   2006-1-1
'   By Huang Guan
'
'******************************************
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Public Const MaxUserList = 500
Public Const MaxUserInfo = 100 'û
Public Const MaxServer = 10

Public Enum Accounts
    'ReadDir = 1
    'ReadFiles = 2
    CreateDir = 4
    DownloadFile = 8
    DeleteDir = 16
    UploadFile = 32
    ChangeFileName = 64
    DeleteFile = 128
End Enum

Public FSO As New FileSystemObject
Private Type DirAccout_
    VirtualName As String
    DirRoot As String
    DirSize As Long 'ָռС
    AllowedExts As String 'õչ,
    'UnAllowedExts as String *256'õչ (ݲ)
    Account As Byte ' 1:Read Directory  2:Read File  4:Create Dir  8:Download File  16:Delete Dir
                      ' 32:Upload File  64:Change File Name  128:Delete File
                      'պ1ֽڣʡڴռ
    Enabled As Boolean 'õĿ¼
End Type

Private Type UserList_
    UserName As String
    PassWord As String
    dir(10) As DirAccout_ '10
    DefDir As String
    DirCount As Byte
    Account As Byte
    Enabled As Boolean '
    LoginLines As Integer '
    InUsed As Boolean '
    ServerID As Integer '
    UserGroup As String
End Type
Private Type Server_
    State As Byte '   0:closed  1:run  2:pause
    ServerName As String  '
    UserCount As Integer 'û
    UserListID(MaxUserList) As Byte
    Port As Integer 'ʹöϿ
    MaxUserOnline As Integer 'û½
    WelcomeText As String  'ӭϢ
    GoodByeText As String  'ټϢ
    InUsed As Boolean '
    SocketID As Integer 'SOcket
End Type
Private Type FTPServer_
    StartWithComputer As Boolean '
    AutoHide As Boolean 'Զ
    'ServerID(MaxServer) As Byte
    ServerCount As Integer
    AccessPWD As String
    SettingPath  As String
    ReloadTime As Integer
End Type

Private Type UserInfo_
    SocketID As Integer '
    'IP As String * 24 '
    UserID As Integer
    sckDataID As Integer  'data socket
    CurrentDir As String
    State As Integer '״̬
    InUsed As Boolean 'ʹ
    LocalDir As String
    ClientDir As String '
    ServerID As Integer 'which server to enter
    'Sending
    FileName As String '
    FileLen As Long
    SendSize As Long
    FileNum As Integer
    SendOver As Boolean
    TCount As Long 'Time
End Type

Public FolderPath As String 'for frmDir
Public UserInfo() As UserInfo_
Public UserList() As UserList_
Public Server() As Server_
Public ftp1 As FTPServer_

Public Sub Init()
    'ʼ
    ReDim UserList(MaxUserList) As UserList_
    ReDim Server(MaxServer) As Server_
    ReDim UserInfo(MaxUserInfo) As UserInfo_
    Dim I As Integer
    For I = 0 To MaxServer
        Server(I).InUsed = False
    Next
    For I = 0 To MaxUserInfo
        UserInfo(I).InUsed = False
    Next
    For I = 0 To MaxUserList
        UserList(I).InUsed = False
    Next
    'ftp1.AccessPWD = "123321"
End Sub
Public Sub WriteFile()
    Dim I As Integer, FileNum As Integer
    FileNum = FreeFile
    Open App.Path & "\config.dat" For Binary Access Write As #FileNum
    Put #FileNum, , ftp1
    Put #FileNum, , SCount
    For I = 0 To MaxServer
        Put #FileNum, , Server(I)
    Next
    Put #FileNum, , ULCount
    For I = 0 To MaxUserList
        UserList(I).PassWord = modCode.EnCode(UserList(I).PassWord, 203)
        Put #FileNum, , UserList(I)
    Next
    Put #FileNum, , Now 'ʱ
    Close #FileNum
    'дļ
End Sub

Public Sub ReadFile()
    Dim I As Integer, FileNum As Integer
    FileNum = FreeFile
    Open App.Path & "\config.dat" For Binary Access Read As #FileNum
    Get #FileNum, , ftp1
    Get #FileNum, , SCount
    For I = 0 To MaxServer
        Get #FileNum, , Server(I)
    Next
    Get #FileNum, , ULCount
    For I = 0 To MaxUserList
        Get #FileNum, , UserList(I)
        UserList(I).PassWord = modCode.EnCode(UserList(I).PassWord, 203)
    Next
    'Get #1, , Now 'ʱ
    Close #FileNum
End Sub

Public Function GetFreeUserInfo() As Integer
On Error Resume Next
'---------------------------------------------
    Dim I As Integer
    For I = 0 To MaxUserInfo
        If Not UserInfo(I).InUsed Then
            GetFreeUserInfo = I
            Exit Function
        End If
    Next
End Function

Public Function GetUIDbyName(SID As Integer, s As String) As Integer
On Error Resume Next
'---------------------------------------------
    Dim I As Integer
    For I = 0 To MaxUserList
        If UCase(UserList(I).UserName) = UCase(s) And UserList(I).InUsed And UserList(I).Enabled And UserList(I).ServerID = SID Then
            GetUIDbyName = I
            Exit Function
        End If
    Next
    GetUIDbyName = -1
        
End Function

Public Function ServerMaxUser(SID As Integer) As Integer
On Error GoTo ErrHandle
'---------------------------------------------
    Dim I As Integer, Count As Integer, uID As Integer
    Count = 0
    For I = 0 To frmSockets.sckP.Count - 1
        uID = frmSockets.getUIDbySck(I)
        If uID >= 0 Then
            If UserInfo(uID).InUsed Then
                If UserInfo(uID).ServerID = SID Then
                    Count = Count + 1
                End If
            End If
        End If
    Next
    ServerMaxUser = Count
ErrHandle:
End Function
Public Function OnlineUser(uID As Integer) As Integer
On Error GoTo ErrHandle
'---------------------------------------------
    Dim I As Integer, Count As Integer, UIID As Integer
    Count = 0
    For I = 0 To frmSockets.sckP.Count - 1
        UIID = frmSockets.getUIDbySck(I)
        If UIID >= 0 Then
            If UserInfo(UIID).InUsed Then
                If UserInfo(UIID).UserID = uID Then
                    Count = Count + 1
                End If
            End If
        End If
    Next
    OnlineUser = Count
ErrHandle:
End Function
Public Sub Main()
    On Error Resume Next
    If App.PrevInstance Then
        MsgBox "Program is already running!", vbCritical
        End
    End If
    'get some setting first
'    Dim val As String
'    ftp1.SettingPath = GetSetting(App.ProductName, "path", "config", App.Path & "\config")
'    If dir(ftp1.SettingPath) <> "" Then
'    Open ftp1.SettingPath For Input As #1
'        Input #1, val
'        ftp1.StartWithComputer = CBool(val)
'        Input #1, val
'        ftp1.AutoHide = CBool(val)
''        Input #1, val
'        ftp1.AccessPWD = val
'        Input #1, val
'        ftp1.ReloadTime = CInt(val)
'    Close #1
'    Else
'        ftp1.StartWithComputer = False
'        ftp1.AutoHide = True
'        ftp1.AccessPWD = ""
'        ftp1.ReloadTime = 5
'    End If
'    SetupCtrl "dao360.dll", "dao360.dll"
    SetupCtrl "MSCOMCTL.OCX", "MSCOMCTL.OCX"
    SetupCtrl "MSWINSCK.OCX", "MSWINSCK.OCX"
    SetupCtrl "TABCTL32.OCX", "TABCTL32.OCX"
    Load frmServer
    If Not ftp1.AutoHide Then
        frmServer.Show
    End If
End Sub

